Creates a new project template.

POSThttps://api.awork.com/api/v1/projecttemplates
POST https://api.awork.com/api/v1/projecttemplates

Creates a new project template. The new template supplies defaults for future projects.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Request body Required

The model to create the project template.

application/json

namestring or nullOptional
minLength: 0 maxLength: 255

Name of the project template.

descriptionstring or nullOptional
minLength: 0 maxLength: 25000

Description of the project template.

isBillableByDefaultstring or nullOptional

Whether the project should be billable by default. Can be 'on', 'off', or 'auto'. Default is auto.

defaultTaskListIdForEmailsstring or nullOptional
format: uuid
copyImageToProjectOnCreationbooleanOptional

Whether the template image should be copied to the project during project creation. If the template has no image, no image is copied. No image is copied from the client.

projectTypeIdstring or nullOptional
format: uuid

Project type id of the project template.

timeBudgetinteger or nullOptional
format: int32

The amount of time budgeted for the project in seconds. If null, the time budget will be unchanged. Set to 0 to remove the time budget.

Responses

200 OK

application/json

idstringOptional
format: uuid

The id of the template.

namestring or nullOptional

The name of the template.

descriptionstring or nullOptional

The description that will be used for the project created from this template. It will be appended to the project description provided by the user.

createdOnstringOptional
format: date-time

The date this entity was created.

createdBystringOptional
format: uuid

The id of the user who created this entity.

updatedOnstringOptional
format: date-time

The date this entity was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this entity.

isBillableByDefaultstring or nullOptional

Whether project times should be billable by default, if the project was created by this template. Can be 'on', 'off', or 'auto'.

defaultTaskListIdForEmailsstring or nullOptional
format: uuid

The id references the task list, which is used to assign tasks created by email to.

projectStatusesarray of object or nullOptionalDeprecated

Deprecated. Use GET /projectTemplates/{projectTemplateId}/projectStatuses instead. The list of project statuses associated with the template. This can be either workflow statuses or template-specific statuses depending on whether the template is linked to a workflow or not.

Show 13 properties
idstringOptional
format: uuid

The primary identifier of this project status.

namestring or nullOptional

The name of the project status.

typestring or nullOptional

The general type of this project status.

isArchivedbooleanOptional

Indicates whether this status is archived.

orderinteger or nullOptional
format: int32

The order of this status.

createdOnstringOptional
format: date-time

The date this entity was created.

createdBystringOptional
format: uuid

The id of the user who created this entity.

updatedOnstringOptional
format: date-time

The date this entity was last modified.

projectTemplateIdstring or nullOptional
format: uuid

The id of the project template of the status.

projectIdstring or nullOptional
format: uuid

The id of the project the status belongs to.

workflowIdstring or nullOptional
format: uuid

The id of the workflow linked to this project status.

updatedBystringOptional
format: uuid

The id of the user who last modified this entity.

isExternalbooleanOptional

True if the project status is coming from an external workspace (awork Connect).

hasImagebooleanOptional

Whether the project template has an image in the files service.

copyImageToProjectOnCreationbooleanOptional

Whether the template image should be copied to the project during project creation. If the template has no image, no image is copied. No image is copied from the client.

projectTypeIdstring or nullOptional
format: uuid

The id of the project type.

workflowIdstring or nullOptional
format: uuid

The id of the workflow linked to this template.

timeBudgetintegerOptional
format: int32

The amount of time budgeted for the project in seconds.

hasRelativeTasksbooleanOptional

True if any of the tasks of the template has relative dates.

400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation